#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libxcb
Version		:	1.14
Release		:	14.4.0.0%{?dist}
Summary		:	A C binding to the X11 protoco
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://xcb.freedesktop.org/dist/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	libpthread-stubs
BuildRequires	:	xorg-libXau
BuildRequires	:	xcb-proto
BuildRequires	:	xorgproto
#-----------------------------------------------------------------------------
%description
The X protocol C-language Binding (XCB) is a replacement for Xlib featuring a
small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

CFLAGS="${CFLAGS:--O2 -g} -Wno-error=format-extra-args" \
PYTHON=python3 
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-devel-docs				\
	--disable-static				\


%{__make}
#{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
mkdir -p %{buildroot}%{_prefix}/lib/%{name}
%{__mv}							\
	 %{buildroot}%{_libdir}/*.la 			\
	 %{buildroot}%{_prefix}/lib/%{name}
	

%files			
%defattr(-,root,root,-)

%doc COPYING NEWS README.md
%{_includedir}/xcb/*.h
%{_libdir}/pkgconfig/*.pc
%{_libdir}/%{name}-*.so*
%{_libdir}/%{name}.so*
%{_prefix}/lib/%{name}/%{name}.la
%{_prefix}/lib/%{name}/%{name}-*.la
%{_defaultdocdir}/%{name}-%{version}/tutorial/*.{html,css}
%{_mandir}/man3/*

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
